Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005992Dwarf FortressDwarf Mode -- Jobs, Generalpublic2012-06-06 11:352016-10-11 06:58
Reporterkeir 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.34.11 
Target VersionFixed in Version0.40.20 
Summary0005992: Conflict between hauling jobs (i.e. filling containers) and other jobs using items in those containers
DescriptionThis can happen with any workshop/bin stockpile pair, but was most noticeable with my jewelers. You'd set the jeweler up to cut with GEM TYPE A. He'd start, but then a hauling dwarf would go to the stockpile and grab a bin to pick up some gems my miner just unearthed. Suddenly the gems in the bin become unavailable, the jewelers jobs get cancelled, and he wonders off. Forcing you to constantly micromanage the job orders and restart them over and over again.
Tagsbarrels, bin, bins, cancel, container, containers, hauling
Attached Files

- Relationships
related to 0000867confirmedDwarfu Bad interaction between repeated bone-using jobs & new one-bone-per-job behavior causes cancellation spam 
related to 0005878acknowledgedToady One Dwarves sent to farm plot to "Harvest Plants", then sent away with "No Job" 
related to 0005964resolvedToady One Haulers carry (heavy) full bin to pickup single item (lighter) 
related to 0009004confirmedLoci "Store item in container" jobs block access to all items already in the container 
has duplicate 0006045resolvedFootkerchief Hauling jobs take entire bin of cloth/thread to pick up a single cloth/thread, triggering multiple "can't find item" job cancels 
has duplicate 0006133resolvedKnight Otu Can't build Large Serrated Disc weapon traps with discs in bins. 
has duplicate 0008048resolvedFootkerchief Items not taken from barrels/bins and put into non barrel/bin stockpiles 
has duplicate 0008188resolvedFootkerchief Cannot select from all avaliable weapons when buliding a weapon trap. 
has duplicate 0008222resolvedFootkerchief Jobs getting cancelled with enough items 
has duplicate 0008395resolvedKnight Otu Thread in Bins makes lots of cancellations 
has duplicate 0008513resolvedFootkerchief Plant collector ruins the economy. 
has duplicate 0008161resolvedFootkerchief Spurious ~ cancels Plant seeds: Needs blackberry seeds 
has duplicate 0008533confirmedFootkerchief One bag contains entire supply (hundreds) of seeds 
related to 0007447resolvedLoci Brewing doesn't work 
related to 0005062new A lot of "Item inaccessible" spam 
related to 0008755acknowledgedlethosor Items in bins (coins, thread, mechanisms, ammo) are sometimes not found for tasks 

-  Notes
(0023037)
Scandinavian (reporter)
2012-06-17 11:18
edited on: 2012-06-18 10:52

I can confirm this behaviour. This seems related to 0000867 and 0001198. All three are issues with the way stockpile and workshop jobs interact, so it might be worthwhile to work out a general solution.

(0023042)
Drazinononda (reporter)
2012-06-17 19:20

Same thing here: Hunters chasing the dwarves who took the ammo bins to clean up claimed ammo, et cetera.
(0023066)
keir (reporter)
2012-06-20 08:53

This is also creating a lot of cancelled planting jobs, and I've noticed a significant reduction in food production in my current fort.
(0023072)
Axel (reporter)
2012-06-20 23:26

I've noticed the same thing with my textile industry. Just finished signing up to post a detailed report on it - 0006045
(0023073)
Axel (reporter)
2012-06-20 23:26

(also how do you make links to issues like that?)
(0023074)
Footkerchief (manager)
2012-06-21 06:03

#6045 => 0006045
(0023087)
Kogut (reporter)
2012-06-22 10:02

how do you make #<number> without turning it into link?
(0023157)
mostevil (reporter)
2012-07-04 18:09

seems to be because it's taking the whole bin instead of getting out the item it needs, when the job completes it can't find more items for the repeat as the bin/barrels been queued to be taken back so cancels the job and buggers up your lovely industry.

You can sort of get around it by having individual stock piles with no containers (and feed them from daddy stockpiles with containers, but its a big old faff.)
(0023212)
mostevil (reporter)
2012-07-11 16:19

This also seems to be an issue with general hauling where dwarves will take a bin/barrel to collect items and make the contents temporarily unusable.
Carrying the bins out is obviously bad as it means a full or metal bin occupys that dwarf and the bins contents for a few game months.
If a wheel barrow is availible they will slowly take the bin to the items then drop it and get a wheel barrow to bring the bin back.

It seems as if the game is treating all containers as wheelbarrows for some purposes?
(0023214)
Vanirr (reporter)
2012-07-11 22:43

I can confirm that this is a serious issue as well. My fortress almost died of thirst even with 200+ plump helmets and brew set on repeat, it just cancels the job.
(0023242)
eliotcougar (reporter)
2012-07-16 11:14

This issue creates a lot of cancellation spam in the announcements in farming and textile industry... Too bad Toady is mostly involved in implementing new features (and bugs) rather than fixing old bugs or improving gameplay and interface...
As far as I can remember, every version had a couple of game breaking bugs you were supposed to avoid...
(0023357)
LostPW (reporter)
2012-07-25 12:56

have the same here with food production. the dwarfs at first take a seed bag, collect a seed and take the bag down, take a barrel and carry it to the seed bag to put the bag in...
(0023424)
kreepergrimms (reporter)
2012-08-08 10:17

hope this is resolved in the next update. tired of seeing dwarves stop everything they are doing to run down and grab a bin to go outside into battle and pickup a sock, i have had plenty of dwarves die during a siege because their whiskers smelled a item drop on the battlefield
(0023751)
Rayanth (reporter)
2012-11-28 12:31
edited on: 2012-11-28 12:43

no offense, keepergrimms, but that's sort of what Burrows are for... make a safe burrow for your civilians to stay in during a siege, activate that burrow when you're under attack, and they should never head outside of the burrow, even if there's loot to pick up. If that isn't working for you, you may be experiencing a different bug.

...and my apologies for posting such a delayed response to it. I keep forgetting that someone adding a watch counts as an update to the bug.. mistakenly assumed that the last post was the update x.x

(0028237)
mostevil (reporter)
2014-08-03 13:57

Closely related to: 0005964
I could totally kiss a toad if these are sorted, it drives me crazy!
(0029878)
Dame de la Licorne (reporter)
2014-09-01 15:21

This is still an issue in .40.10 (since I notice there are no recent version numbers).
(0030450)
Dame de la Licorne (reporter)
2014-09-29 12:18

Still present in 40.13.
(0030458)
PatrikLundell (reporter)
2014-09-30 00:07

I've had the same problem with my jeweller, but seemingly even worse: Since he's slower to cut than the miners are to unearth gems, I've got several bins with uncut gems of different kinds. When the cancellation stream (one message for each kind of gem to cut) came, I checked that there were at least two bins with appropriate kinds of gems in the neartile stockpile. Staring closely at the screen with frequent pauses to see if I was allowed to reorder the job, I saw a dwarf come up to one of the bins to put a gem in it, but the other one ought to have been available. It might be that the "container lock" set when a dwarf interacts with a container is engaged a little too early, so the other container was locked by some other dwarf who couldn't lock the first one.
It might require a redesign, but one approach might be to have two kinds of locks, one long term (like when you pick something up to carry it away, or lock a faraway haul/dig target as "yours"), and one short term (typically storing or retrieving from container), where the latter kind is fully engaged only just when about to perform the action. The latter kind would engage a partial lock when the interaction decision is made (to stop someone else from hauling the target away), but several partial locks would be permitted to be active concurrently, and a partial lock action would queue up to wait for the full lock to disengage when the previous user is done. A further refinement might be to let deliveries target a stockpile only initially, and select the particular container only when getting close.

- Issue History
Date Modified Username Field Change
2012-06-06 11:35 keir New Issue
2012-06-17 11:18 Scandinavian Note Added: 0023037
2012-06-17 19:20 Drazinononda Note Added: 0023042
2012-06-18 10:52 Footkerchief Note Edited: 0023037 View Revisions
2012-06-18 10:52 Footkerchief Relationship added related to 0000867
2012-06-20 08:53 keir Note Added: 0023066
2012-06-20 23:26 Axel Note Added: 0023072
2012-06-20 23:26 Axel Note Added: 0023073
2012-06-21 06:03 Footkerchief Note Added: 0023074
2012-06-21 06:03 Footkerchief Relationship added has duplicate 0006045
2012-06-21 06:03 Footkerchief Issue Monitored: Axel
2012-06-21 06:04 Footkerchief Relationship added related to 0005878
2012-06-21 06:04 Footkerchief Summary Conflict between hauling jobs (i.e. filling bins) and workshops using the material in those bins => Conflict between hauling jobs (i.e. filling containers) and workshops using the material in those containers
2012-06-22 10:01 Kogut Note Added: 0023086
2012-06-22 10:01 Kogut Note Deleted: 0023086
2012-06-22 10:02 Kogut Note Added: 0023087
2012-07-04 18:09 mostevil Note Added: 0023157
2012-07-11 16:11 mostevil Tag Attached: bin
2012-07-11 16:11 mostevil Tag Attached: container
2012-07-11 16:19 mostevil Note Added: 0023212
2012-07-11 16:22 mostevil Tag Attached: barrels
2012-07-11 16:22 mostevil Tag Attached: bins
2012-07-11 16:22 mostevil Tag Attached: cancel
2012-07-11 16:22 mostevil Tag Attached: containers
2012-07-11 16:25 mostevil Issue Monitored: mostevil
2012-07-11 22:43 Vanirr Note Added: 0023214
2012-07-15 11:38 mostevil Tag Attached: hauling
2012-07-16 11:14 eliotcougar Note Added: 0023242
2012-07-16 11:22 eliotcougar Issue Monitored: eliotcougar
2012-07-25 12:56 LostPW Note Added: 0023357
2012-07-27 06:19 Knight Otu Relationship added has duplicate 0006133
2012-07-27 06:21 Knight Otu Summary Conflict between hauling jobs (i.e. filling containers) and workshops using the material in those containers => Conflict between hauling jobs (i.e. filling containers) and workshops/jobs using the material in those containers
2012-07-27 10:39 kwieland Issue Monitored: kwieland
2012-08-08 10:17 kreepergrimms Note Added: 0023424
2012-11-27 18:27 nb4est Issue Monitored: nb4est
2012-11-28 12:31 Rayanth Note Added: 0023751
2012-11-28 12:43 Rayanth Note Edited: 0023751 View Revisions
2014-07-24 20:41 enlait Issue Monitored: enlait
2014-07-31 04:40 Hello71 Issue Monitored: Hello71
2014-07-31 08:13 Thief Issue Monitored: Thief
2014-07-31 08:15 Kanddak Issue Monitored: Kanddak
2014-07-31 09:11 Nevenrial Issue Monitored: Nevenrial
2014-07-31 12:39 Dwarfu Relationship replaced child of 0000867
2014-07-31 12:39 Dwarfu Assigned To => Dwarfu
2014-07-31 12:39 Dwarfu Status new => acknowledged
2014-08-03 13:57 mostevil Note Added: 0028237
2014-08-07 18:13 Footkerchief Relationship replaced related to 0000867
2014-08-07 18:13 Footkerchief Relationship added related to 0007447
2014-08-18 07:22 Footkerchief Relationship added has duplicate 0008048
2014-08-18 07:22 Footkerchief Relationship added related to 0005964
2014-09-01 14:47 Footkerchief Summary Conflict between hauling jobs (i.e. filling containers) and workshops/jobs using the material in those containers => Conflict between hauling jobs (i.e. filling containers) and workshops/jobs using items in those containers
2014-09-01 14:47 Footkerchief Status acknowledged => confirmed
2014-09-01 14:47 Footkerchief Summary Conflict between hauling jobs (i.e. filling containers) and workshops/jobs using items in those containers => Conflict between hauling jobs (i.e. filling containers) and other jobs using items in those containers
2014-09-01 14:48 Footkerchief Relationship added has duplicate 0008188
2014-09-01 15:21 Dame de la Licorne Note Added: 0029878
2014-09-02 11:53 Footkerchief Relationship added has duplicate 0008222
2014-09-02 13:03 4maskwolf Issue Monitored: 4maskwolf
2014-09-03 08:39 Footkerchief Relationship added related to 0005062
2014-09-29 11:15 wRAR Issue Monitored: wRAR
2014-09-29 12:18 Dame de la Licorne Note Added: 0030450
2014-09-30 00:07 PatrikLundell Note Added: 0030458
2014-10-02 14:52 Knight Otu Relationship added has duplicate 0008395
2014-11-04 12:09 Footkerchief Relationship added has duplicate 0008513
2014-11-09 14:24 Footkerchief Relationship added has duplicate 0008161
2014-11-09 14:26 Footkerchief Relationship added related to 0008533
2014-12-14 15:49 BenLubar Issue Monitored: BenLubar
2014-12-16 14:21 Toady One Status confirmed => resolved
2014-12-16 14:21 Toady One Fixed in Version => Next Version
2014-12-16 14:21 Toady One Resolution open => fixed
2014-12-16 14:21 Toady One Assigned To Dwarfu => Toady One
2015-01-08 17:33 Footkerchief Relationship added has duplicate 0008709
2015-01-09 07:52 Footkerchief Relationship deleted has duplicate 0008709
2015-01-19 20:38 4maskwolf Issue End Monitor: 4maskwolf
2015-01-20 08:47 Footkerchief Relationship added related to 0008755
2015-01-24 14:46 Footkerchief Relationship replaced has duplicate 0008533
2015-12-09 05:34 Thief Issue End Monitor: Thief
2016-10-11 06:58 Loci Relationship added related to 0009004


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker